--- old/usr/src/uts/common/os/condvar.c	2015-05-08 18:03:07.060262992 -0400
+++ new/usr/src/uts/common/os/condvar.c	2015-05-08 18:03:07.067713824 -0400
@@ -193,7 +193,6 @@
 		return;
 	ASSERT(!quiesce_active);
 
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
 	thread_lock(curthread);			/* lock the thread */
 	cv_block((condvar_impl_t *)cvp);
 	thread_unlock_nopreempt(curthread);	/* unlock the waiters field */
@@ -326,7 +325,6 @@
 	}
 	ASSERT(t->t_intr == NULL);
 
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
 	cancel_pending = schedctl_cancel_pending();
 	lwp->lwp_asleep = 1;
 	lwp->lwp_sysabort = 0;
@@ -554,8 +552,6 @@
 	thread_lock(t);
 	t->t_kpri_req = 0;	/* don't need kernel priority */
 	cv_block_sig(t, (condvar_impl_t *)cvp);
-	/* I can be swapped now */
-	curthread->t_schedflag &= ~TS_DONT_SWAP;
 	thread_unlock_nopreempt(t);
 	mutex_exit(mp);
 	if (ISSIG(t, JUSTLOOKING) || MUSTRETURN(p, t) || cancel_pending)
@@ -564,8 +560,6 @@
 	swtch();
 	signalled = (t->t_schedflag & TS_SIGNALLED);
 	t->t_flag &= ~T_WAKEABLE;
-	/* TS_DONT_SWAP set by disp() */
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
 	mutex_enter(mp);
 	if (ISSIG_PENDING(t, lwp, p)) {
 		mutex_exit(mp);
